Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.display
Class XYPlot

    java.lang.Object
      kieker.analysis.display.AbstractDisplay
          kieker.analysis.display.XYPlot

    public class XYPlot

extends AbstractDisplay

This class is currently under development, mostly for test purposes, and not designed for productive deployment.

Since:
  1.8
Author:
  Nils Christian Ehmke

Constructor Summary
`XYPlot(int maxEntriesPerSeries)` Creates a new instance of this class using the given parameters.

Method Summary
`Map<Object,Number>` | `getEntries(String key)` Delivers the entries for the given series.
`Set<String>` | `getKeys()`
`void` | `setEntry(String key, Object x, Number y)` Sets a value for the given series.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XYPlot

    public XYPlot(int maxEntriesPerSeries)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `maxEntriesPerSeries` - The maximal number of allowed entries per series in this plot.

Method Detail

### getEntries

    public Map<Object,Number> getEntries(String key)

  Delivers the entries for the given series.

  Parameters:
    `key` - The name of the series.
  Returns:
    A map with the series entries.

### getKeys

    public Set<String> getKeys()

### setEntry

    public void setEntry(String key,
                         Object x,
                         Number y)

  Sets a value for the given series.

  Parameters:
    `key` - The name of the series to modify.
    `x` - The x value.
    `y` - The y value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net